Page MenuHomePhabricator

<maplink> should be styled with the mark's style by default
Closed, ResolvedPublic

Description

  • By default, if <maplink> contains a marker whose marker-symbol is equal to one letter, one or two digits, begins with "-number" or with "-letter", the generated <a> link should have the style of that marker, e.g. if the marker is green, it should be shown as a green block (unless the style= parameter is set -- see T129495). The text of that link should be set to the resolved marker text, unless the text= parameter is set.
  • When there is more than one marker that fits the above criteria, they should be shown as a list of markers: [1], [2], [3] (each styled separately). I think there was a function in languages that makes localized comma separated lists.
  • Bonus; If the marker is a maki icon, it would be amazing to show that icon instead of the text. This should probably be a sub-task to add all maki icons into Kartographer and reference them. Styling rules should still apply.
  • Open question: should users be allowed to extend style instead of substituting it. E.g. instead of style=..., use addstyle=... to append additional styling to the system-generated ones.

Event Timeline

Yurik created this task.Mar 10 2016, 5:25 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 10 2016, 5:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.Mar 10 2016, 5:25 PM
Yurik moved this task from All map-related tasks to Kartographer on the Maps board.

Change 277913 had a related patch set uploaded (by MaxSem):
WIP: use marker styles

https://gerrit.wikimedia.org/r/277913

MaxSem claimed this task.Mar 16 2016, 11:02 PM

Change 277913 merged by jenkins-bot:
Use marker styles

https://gerrit.wikimedia.org/r/277913

MaxSem closed this task as Resolved.Mar 18 2016, 9:04 PM